<bugID>717944<Summary>Docking and undocking mechanism for developer tools</Summary><Description>Tools registered through the new mechanism should be able to dock and undock themselves in the browser. When undocked, a view moves to a separate window. All tools registered through this gain a tri-state control to position themselves in the bottombar, sidebar or window (if the tool allows it).</Description></bugID>